%define pkgname	acpica-unix

Summary:	Intel ASL compiler/decompiler
Name:		iasl
Version:	20130328
Release:	%mkrel 1
Source0:	https://acpica.org/sites/acpica/files/%{pkgname}-%{version}.tar.gz
License:	ACPICA
Group:		Development/Kernel
Url:		http://www.acpica.org/downloads/unix_source_code.php
ExclusiveArch:	%{ix86} x86_64
BuildRequires:	flex
BuildRequires:	bison

%description
IASL compiles ASL (ACPI Source Language) into AML (ACPI Machine
Language). This AML is suitable for inclusion as a DSDT in sytem
firmware. It also can disassemble AML, for debugging purposes.

%prep
%setup -q -n %{pkgname}-%{version}

%build
sed -i -e 's/_CYGWIN/_LINUX/g' -e 's/-Werror//g' generate/unix/Makefile.config
make -C generate/unix CC="gcc $RPM_OPT_FLAGS" 

%install
make DESTDIR=%{buildroot} install

%files
%doc changes.txt
%{_bindir}/iasl
%{_bindir}/acpi*


%changelog

* Mon Apr 08 2013 dams <dams> 20130328-1.mga3
+ Revision: 409064
- new version 20130328

* Fri Feb 01 2013 dams <dams> 20130117-1.mga3
+ Revision: 393891
- new version 20130117

* Sat Jan 12 2013 umeabot <umeabot> 20121018-2.mga3
+ Revision: 354034
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 dams <dams> 20121018-1.mga3
+ Revision: 317207
- new version 20121018
- remove useless patch

* Sun Sep 09 2012 dams <dams> 20120816-1.mga3
+ Revision: 291244
- new version 20120816
- update specfile to fix build

  + luigiwalser <luigiwalser>
    - 20120816

* Fri Jun 01 2012 dams <dams> 20120518-1.mga3
+ Revision: 252753
- new version 20120518

* Fri Nov 18 2011 pterjan <pterjan> 20100528-1.mga2
+ Revision: 168821
- Update to 20100528

* Tue Jan 18 2011 ahmad <ahmad> 20090422-3.mga1
+ Revision: 21910
- imported package iasl


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 20090422-3mdv2011.0
+ Revision: 605945
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 20090422-2mdv2010.1
+ Revision: 522891
- rebuilt for 2010.1

* Sun May 17 2009 Isabel Vallejo <isabel@mandriva.org> 20090422-1mdv2010.0
+ Revision: 376696
- New release 20090422
- New release 20090422
- New release 20090422

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 20080213-2mdv2009.0
+ Revision: 221435
- rebuild

* Tue Feb 19 2008 Erwan Velu <erwan@mandriva.org> 20080213-1mdv2008.1
+ Revision: 173046
- New release 20080213

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 20061109-1mdv2008.1
+ Revision: 126921
- kill re-definition of %%buildroot on Pixel's request


* Tue Jan 30 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 20061109-1mdv2007.0
+ Revision: 115577
- initial packaging

